> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_admin_links.md).

# nats\_display\_admin\_links

*Article Topics:* [*Customization*](/getting-started/common-topics/customization.md)*,* [*Templates*](/getting-started/common-topics/templates.md)

Alias: display\_admin\_links

## Parameters

(*Required parameters in **bold**)*

| Parameter                                                                                                       | Description                                                        | Possible Values                   | Default Value                                   | Example                |
| --------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ | --------------------------------- | ----------------------------------------------- | ---------------------- |
| tpl                                                                                                             | Template used to display output                                    | Any valid template                | The template, *function\_display\_admin\_links* | tpl="mytemplate"       |
| box\_width                                                                                                      | How wide to make the XHTML div containing the entire box           | Any valid CSS width specification | 0. The box has no width.                        | box\_width="200"       |
| main\_width                                                                                                     | How wide to make the XHTML div containing just the icons and links | Any valid CSS width specification | 100%. The box fills *box\_width* above          | main\_width="80%"      |
| wrap                                                                                                            | Let icons fill more than one line                                  | 0 or 1 (exclusive)                | 0. Icons can fill only one line                 | wrap="1"               |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details)   | Any valid Smarty variable name    | *None.* (No prefix is used)                     | assign\_prefix="myvar" |
| [data\_only](/nats-admin/skins-and-templates/further-reading/template-function-parameters/data_only.md)         | Set variables but don't display the template                       | 1                                 | *None.* The template is displayed.              | data\_only=1           |

## Output

1. No output if the user viewing the page isn't an administrator.
2. A box of icons and hyperlinks to NATS administration pages.

## Notes

The default NATS templates uses this function in the footer of almost every NATS webpage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_admin_links.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
